Bug 1273790 - 'oc new-app' auto completion does not work when listing files
'oc new-app' auto completion does not work when listing files
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.1.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Fabiano Franz
Wei Sun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 04:57 EDT by Xingxing Xia
Modified: 2016-09-07 17:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-07 17:26:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xingxing Xia 2015-10-21 04:57:32 EDT
Description of problem:
'oc new-app -f TAB' cannot automatically list the files in present directory. But 'oc create/delete/edit -f' can do that. These commands should be consistent.

Version-Release number of selected component (if applicable):
oc v3.0.2.901-61-g568adb6
kubernetes v1.1.0-alpha.1-653-g86b4e77

How reproducible:
Always


Steps to Reproduce:
1. oc new-app -f TAB
2. oc create|delete|edit -f TAB


Actual results:
1. 'oc new-app -f' cannot automatically list the files
2. 'oc create/delete/edit -f' can automatically list the files.

Expected results:
1. 'oc new-app -f' should be able to automatically list the files

Additional info:
Have installed bash-completion and 'oc TAB' works ok
Comment 2 Xingxing Xia 2016-04-05 23:26:33 EDT
Found the bug is fixed in recent version (v3.2.0.11). 'oc new-app -f' succeeds in auto completion of files. Will move to VERIFIED when ON_QA
Comment 3 Xingxing Xia 2016-07-05 01:39:43 EDT
Thanks! Move to VERIFIED per comment 2

Note You need to log in before you can comment on or make changes to this bug.